echo off
rem *************************************************************************
rem   Product #5724-C94, (C) COPYRIGHT International Business Machines Corp., 2002.
rem   All Rights Reserved * Licensed Materials - Property of IBM
rem *************************************************************************
rem   Setup database for WPS tool samples
rem *************************************************************************
rem %1 - name of db2 administrator
rem %2 - password of db2 administrator

setlocal
set DBNAME=INVSAMP
set DB2OPTIONS=-td;

if "%1" == "" goto ERROR1
if "%2" == "" goto ERROR1

echo Creating %DBNAME% database. Please wait...
erase db2cmd.txt
echo CREATE DB %DBNAME%; >> db2cmd.txt
echo CONNECT TO %DBNAME% USER %1 USING %2; >> db2cmd.txt
type inventory.sql >> db2cmd.txt
echo DISCONNECT %DBNAME%; >> db2cmd.txt

db2cmd -i -c -w db2 -v -fdb2cmd.txt
goto END

:ERROR1
echo *********************************************
echo * inventory_setupdb.bat
echo * usage: inventory_setupdb.bat username password
echo *********************************************
echo You must specify username and password as db2 administrator's name and password.
goto END

:END
endlocal
